#!/bin/bash

# Bash script to remove all our themes from Horde
# Author Erling Preben Hansen erling@eph.dk
# You may use distribute and edit this script as you wish

hordepath=""
# Define our themes
declare -a All_themes=(Gold Matrix Red-wine White XP-blue)
count_all_th="${#All_themes[@]}"

# Define The Horde apps where themes may be present.
declare -a module=(agora ansel gollem imp ingo kronolith mnemo nag passwd sesha trean turba wicked whups )
count="${#module[@]}"

# If path to horde is not on cmd then ask for it..
if [ -z $1 ]; then
  echo -en "\e[91;40m Write the path to your Horde install whitout any trailing slash:  \e[0m"
  read hordepath
else
  hordepath="$1"
  echo -e "\e[91;40m Looking for horde themes in ${hordepath} \e[0m"
fi

function remove {
# Chech if theme is present, if delete theme in horde and installed apps, else warn.
  if [ -d "$hordepath/$themepath" ]; then
    rm -r "$hordepath/$themepath"
    for ((c=0; c<"${count}"; c++ )); do
      modname="${module[$c]}"
      if [ -d "${hordepath}/${modname}/${themepath}" ]; then
	rm -r "${hordepath}/${modname}/${themepath}"
      else
	echo "info: There is nothing to remove in ${modname}${themepath}"
	echo "If this is wrong. Please remove it manually"
      fi
    done
  else
    echo "Can't find theme ${themename}."
  fi
}

# Check if hordepath is set correct, if not exit and warn, if it is start removal.
if [ -d "${hordepath}/themes" ]
  then
  for ((x=0; x<"${count_all_th}"; x++)); do
    themename="${All_themes[$x]}"
    themepath="/themes/${themename}"
    remove
  done
  echo Done
else
  echo "The path to your Horde install is wrong."
  echo "Please correct this and try again."
fi
